# Text-mining and semantic web technologies

**Project Number:** 11

## Research area alignment

- ELIXIR platforms: Data/Interoperability 
 ELIXIR Communities: Rare Disease/Proteomics/Metabolomics

## Resources and guidelines

Refer editable [google doc](https://docs.google.com/document/d/1tJslhIdvLVZ1L8hcEOmN-TcqoOTJ4zbq_kQR7NjKeZY/edit?usp=sharing) for usecases, breakdown of tasks, roadmap and progress logbook

## Team

**Submitter:** Venkata Satagopam

### Proponent(s)

- Venkata Satagopam

### Lead(s)

- Venkata Satagopam,
 Senior Research Scientist, and Technical coordinator of ELIXIR Luxembourg Node,
 Université du Luxembourg,
 Luxembourg Centre for Systems Biomedicine (LCSB),
 6, avenue du Swing,
 L-4367 Belvaux, Luxembourg
 email: venkata.satagopam@uni.lu
 
- Johanna McEntyre,
Team Lead, Literature services (EMBL-EBI) and Elixir Data Platform Lead,
EMBL-EBI,
Wellcome Genome Campus, Hinxton, Cambridgeshire, CB10 1SD, UK
email: mcentyre@ebi.ac.uk 

- Aravind Venkatesan,
Senior Data Scientist, Literature Services, EMBL-EBI,
Wellcome Genome Campus, Hinxton, Cambridgeshire, CB10 1SD, UK
email: avenkat@ebi.ac.uk 

- Carlos Vega Moreno
Research Fellow,
 Université du Luxembourg,
 Luxembourg Centre for Systems Biomedicine (LCSB),
 6, avenue du Swing,
 L-4367 Belvaux, Luxembourg
 email: carlos.vega@uni.lu
 
### Nominated participant(s)

- Lars Juhl Jensen, 
Professor, Group Leader in Disease Systems Biology,
NNF Center for Protein Research,
Faculty of Health Sciences,
University of Copenhagen, Denmark
email: Lars.Juhl.Jensen@cpr.ku.dk

- Valentin Groues, 
Senior scientific software engineer, 
Université du Luxembourg,
Luxembourg Centre for Systems Biomedicine (LCSB),
6, avenue du Swing,
L-4367 Belvaux, Luxembourg
email: valentin.groues@uni.lu

### Participant(s)
- Gurnoor Sing, RadboudUMC, Nijmegen
email: gurnoor.singh@radboudumc.nl

## Expected outcomes

- We look forward to the development of a common integration between cross-resource literature knowledgebase projects, delivering advancements on interoperability and accessibility of text-mining resources by developing an interface by extending existing APIs and application of standards, for example, W3C Web Annotation Data Model. This common interface will be tangentially beneficial for the different use cases that, for example, creation of interaction networks and disease maps and annotate corresponding entities, relationships and events through such knowledge databases. We are planned to submit a manuscript on Biohackathon outcome. Between the potential achievements, we could find an extended and lasting collaboration between institutions as well as scientific literature contributions, exploring the deployment of joint multi-institutional services.

## Expected audience

- Bioinformaticians and developers working in the areas of text-mining, network biology and semantic web technologies.
 
 By all means, organisers commit to the proposal with the participation and contribution of developers, bioinformaticians for the event to ensure the presence of enough human resources and provide momentum during the biohackathon. 3 people from the University of Luxembourg and 2 from EMBL-EBI will participate in this Biohackathon topic.

**Number of expected hacking days**: 4

<img src="report/web_biohack.gif" width="600"  />

## Installation

```
# Install virtualenv
python3 -m pip install virtualenv

# create virtualenv with python3
virtualenv env -p which python3

# activate the env
source env/bin/activate

# install dependencies
./install.sh

# run server
./runserver.sh
```
