# Integrating Text-mining services with semantic web technologies

<!-- **Project Number:** 11 
## Research area alignment
- ELIXIR platforms: Data/Interoperability 
 ELIXIR Communities: Rare Disease/Proteomics/Metabolomics
## Resources and guidelines
Refer editable [google doc](https://docs.google.com/document/d/1tJslhIdvLVZ1L8hcEOmN-TcqoOTJ4zbq_kQR7NjKeZY/edit?usp=sharing) for usecases, breakdown of tasks, roadmap and progress logbook
## Team
**Submitter:** Venkata Satagopam
### Proponent(s)
- Venkata Satagopam
### Lead(s)
-->

- Venkata Satagopam,
 Université du Luxembourg, Luxembourg Centre for Systems Biomedicine (LCSB),
 Luxembourg
 email: venkata.satagopam@uni.lu
 orcid: 0000-0002-6532-5880
 
- Johanna McEntyre,
Literature services (EMBL-EBI) and Elixir Data Platform,
EMBL-EBI,
Wellcome Genome Campus, Hinxton, Cambridgeshire, UK
email: mcentyre@ebi.ac.uk
orcid: 0000-0002-1611-6935

- Aravind Venkatesan,
Senior Data Scientist, Literature Services, EMBL-EBI,
Wellcome Genome Campus, Hinxton, Cambridgeshire, UK
email: avenkat@ebi.ac.uk 
orcid: 0000-0003-4019-1940

- Carlos Vega Moreno
Université du Luxembourg, Luxembourg Centre for Systems Biomedicine (LCSB),
Luxembourg
email: carlos.vega@uni.lu
orcid: 0000-0002-7979-9921

- Lars Juhl Jensen, 
Department of Disease Systems Biology, NNF Center for Protein Research,
Faculty of Health Sciences,
University of Copenhagen, Denmark
email: Lars.Juhl.Jensen@cpr.ku.dk
orcid: 0000-0001-7885-715X

- Valentin Groues, 
Senior scientific software engineer, 
Université du Luxembourg,
Luxembourg Centre for Systems Biomedicine (LCSB),
6, avenue du Swing,
L-4367 Belvaux, Luxembourg
email: valentin.groues@uni.lu
orcid: 0000-0001-6501-0806

- Gurnoor Sing, 
Center of molecular bioinformatics, 
RadboudUMC, Nijmegen, Netherlands
email: gurnoor.singh@radboudumc.nl

- Margarita Kopniczky
Google UK
email: maboko@google.com
orcid: 0000-0002-4792-1355


## Text-mining and semantic web technologies

The tremendous growth in research papers being published provides challenges for researchers and curators in finding and assimilating scientific conclusions described in themliterature. To this end, text- mining pipelines facilitates the extraction of scientific assertions with their biological context. This process comprises of several challenging tasks such as part-of-speech tagging, entity normalisation, or event extraction, which are essential to discover relevant knowledge in the form of entities, relations and events. In this hacking project, we will focused on further integration, interoperability and accessibility of text-mining knowledge repositories with well-defined APIs to facilitate construction of gene/protein networks and disease maps and annotation of bio-entities, relationships and events within these networks and maps.

## Introduction
We developed a common integration between cross-resource literature knowledgebase projects, delivering advancements on interoperability and accessibility of text-mining resources by developing an interface by extending existing APIs and application of standards.

This common interface is tangentially beneficial for the different use cases that, for example, creation of interaction networks and disease maps and annotate corresponding entities, relationships and events through such knowledge databases. We are planned to submit a manuscript on Biohackathon outcome. Between the potential achievements, we could find an extended and lasting collaboration between institutions as well as scientific literature contributions, exploring the deployment of joint multi-institutional services.

