# Operationalising the ELIXIR-GA4GH Cloud and AAI Driver Project

**Project Number:** 16

## Research area alignment

* ELIXIR Compute/Tools/Data/Interop
* GA4GH Cloud Work Stream
* ELIXIR Human Data (Rare Disease, Federated Data, CNV)
* ELIXIR Marine Metagenomics
* ELIXIR Proteomics

## Team

**Submitter:** Susheel Varma

### Proponent(s)

* Susheel Varma

### Lead(s)

* Alexander Kanitz
* Yacine Khettab

### Nominated participant(s)

* Alexander Kanitz / project lead & web development
* Yacine Khettab/ DevOps & container specialist
* Marius Dieckmann / software developer & Kubernetes expert
* Ania Niewielska / software developer

## Expected outcomes

Development and Kubernetes-based deployment of a user-facing web client PoC,
leveraging GA4GH Cloud API services to allow end-users to pick workflows, modify
parameters, select input data, trigger workflow execution, query run status and
access results. User identity manifestation via ELIXIR AAI/OIDC and controlled
access to services via OAuth2. Official release to ELIXIR community and
multi-site production-grade deployment of the user client and ELIXIR GA4GH cloud
services planned for 2020.

See the official
[ELIXIR Cloud & AAI website](https://elixir-europe.github.io/cloud/) for more
details about ELIXIR's take on the GA4GH Cloud standards.

## Expected audience

* Audience:
  * Web developers (backend & frontend)
  * UI/UX designers
  * DevOps
  * AAI experts
  
* Useful skills:
  * Web development (preferably Python, Go and/or Angular, Vue)
  * API microservices
  * Kubernetes
  * CI/CD
  * OpenID Connect / OAuth2 / AAI

**Number of expected hacking days**: 4
