# Bioconda and Biocontainers helpdesk

**Project Number:** 31

## Research area alignment

- ELIXIR Tools platform, Tools and Services Registry, Workflows & Interoperability groups

## Background information

The conda package manager makes installing software a vastly more streamlined process. Conda is a combination of other package managers you may have encountered, such as pip, CPAN, CRAN, Bioconductor, apt-get, and homebrew. Conda is both language- and OS-agnostic, and can be used to install C/C++, Fortran, Go, R, Python, Java etc programs on Linux, Mac OSX, and Windows.

Conda allows separation of packages into repositories, or channels. The main defaults channel has a large number of common packages. Users can add additional channels from which to install software packages not available in the defaults channel. Bioconda is one such channel specializing in bioinformatics software.

Read more about it in the [Bioconda paper](https://doi.org/10.1038/s41592-018-0046-7).

During the Biohackathon a small team of active Bioconda contributors will be always around to help you to package your software
and make it cloud-reads, including the production of BioContainers.
Feel free to ask this "helpdesk" and get kickstarted to join one of the largest Bioinformatics communities.

## Related links

* https://bioconda.github.io
* https://conda-forge.org
* https://github.com/BioContainers/multi-package-containers
* https://biocontainers.pro/#/multipackage
* https://galaxy-lib.readthedocs.io/en/latest/topics/mulled.html


## Team

**Submitter:** Bjoern Gruening

### Proponent(s)

- Bjoern Gruening

### Lead(s)

- Devon Ryan
- Anthony Bretaudeau
- Björn Grüning

## Expected outcomes

 * more bioconda contributors = more sustainable community
 * less bioconda/biocontainer bugs

## Expected audience

 * tool developers that want to add their tools to bioconda/biocontainers
 * tool users that want to learn conda or complain about conda :)

**Number of expected hacking days**: 4

