# Support tools for rapid adoption of Bioschemas through Identifiers.org: automatic resources registration, updates and metadata integration

**Project Number:** 4

## Research area alignment

- ELIXIR Interoperability Platform
- This project aligns with the ELIXIR Interoperability Platform, and involves Identifiers.org (ELIXIR Infrastructure and Recommended Interoperability Resource), UniProt (ELIXIR Core Resource), InterMine (ELIXIR Recommended Interoperability Resource) and Bioschemas (ELIXIR Core Project).

## Merged from

- Support tools for rapid adoption of Bioschemas (and Schema.org) metadata through Identifiers.org
- Automating Identifiers.org registration and updates to increase FAIR-ness within ELIXIR and beyond

## Team

**Submitter:** Manuel Bernal Llinares

### Proponent(s)

- Manuel Bernal Llinares ([GitHub](https://github.com/mbdebian))
- Daniela Butano

### Lead(s)

- Manuel Bernal Llinares, EMBL-EBI
- Daniela Butano - InterMine, UK Node
- Sergio Contrino - InterMine, UK Node

### Nominated participant(s)

- Sarala Wimalaratne;; identifiers.org / Bioschemas expert
- Javier Ferrer Gómez;; Javascript, Angular, Java, Python
- Nick Juty;; identifiers expert
- For UniProt (has agreed): Jerven Bolleman - UniProt expert, Swiss Node
- For Identifiers.org (has agreed): Sarala Wimalaratne OR Nick Juty - Identifiers.org expert, ELIXIR Hub

## Expected outcomes

- The outcome of this project is multiple:
    - A fast lightweight javascript widget for searching and visualising metadata related to a given Compact Identifier, which can easily be integrated within Identfiers.org or third party web applications.
    - Discuss the feasibility to register resources with Identifiers.org even if they do not provide the whole dataset.
    - Modeling of possible automation mechanisms by which, resources could be updated, after registering with Identifiers.org. This automation is important to increase the scale and timeliness of identifier resolution, as part of ongoing efforts to increase the FAIR-ness of resources.

## Expected audience

- This project is expected to attract the attention of the bioinformatics community who are interested in working with any of the following technologies: Javascript, HTML5, CSS3, Java, Python, Django, Shell Script, Kubernetes and Google Cloud.
- Data resource providers to help define the metadata that should describe the data provided and to prototype endpoints for their resources. Programmers to prototype the crawler.

**Number of expected hacking days**: 4

