# Towards seamless Galaxy and InterMine integration: Enhanced region analysis

**Project Number:** 7

## Research area alignment

- Interoperability for Bioinformatics tools

## Team

### Lead(s)

- [Yo Yehudi](https://github.com/yochannah)

### Nominated participant(s)

- Sergio Contrino

## Expected outcomes

- In the short term, we expect to produce a working prototype of the direct data upload from Galaxy to InterMine at this hackathon. This effort is meant to be the first step towards the tighter interoperation between InterMine and Galaxy. 
 
 In the future, we plan to allow arbitrary datasets to move freely between both, and for Galaxy users to be able to create their own InterMine instances in the cloud: these will be loaded with their data from Galaxy and complementary external data. This would allow Galaxy users to benefit from InterMine’s data integration and enrichment process, as well as providing analysis and visualisation tools, with a wealth of interoperable web-services for programmatic access to their data.

## Expected audience

- Galaxy and InterMine users to gather additional requirements.
- Galaxy developers to help create the Galaxy data export tool
- Java or Clojure developers to help work on the InterMine side of importing the data

**Number of expected hacking days**: 2

## Useful tools to set up on your machine: 

- [InterMine Registry](https://github.com/intermine/intermine-registry) (For js/node contributors)
- [InterMine BioTestMine](https://github.com/intermine/biotestmine) (For Java lovers)
- [InterMine BlueGenes](https://github.com/intermine/bluegenes) (For UI + Clojure people)
